import Component from '@glimmer/component';
import '@cardstack/boxel/styles/global.css';
import './index.css';
interface CoverArtUsage {
    size: number | undefined;
    maxWidth: number | undefined;
    spacingMultiplier: number | undefined;
    covers: [];
}
export default class CoverArt extends Component<CoverArtUsage> {
    size: number;
    maxWidth: number;
    spacingMultiplier: number;
    get coverArtSpacing(): number;
    coverArtSize(index: number): number;
    coverArtSizePx(index: number): string;
    coverArtLeft(index: number, spacing: number): number;
    coverArtLeftPx(index: number, spacing: number): string;
}
export {};
